﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RetailForce.Fiscalisation.Model;

namespace RetailForce.Fiscalisation.Samples.FiscalServiceClientSample.Model
{
    public class SimpleVat
    {
        public SimpleVat() {}

        public SimpleVat(int vatId, decimal vatPercent)
        {
            VatId = vatId;
            VatPercent = vatPercent;
        }

        public SimpleVat(Vat vat)
        {
            VatId = vat?.VatIdentification ?? throw new ArgumentNullException(nameof(vat));
            VatPercent = vat.VatPercents[0];
        }

        public int VatId { get; set; }
        public decimal VatPercent { get; set; }
    }
}
